Subject: [PATCH RESEND] dma: mmp_pdma: add support for residue reporting

From: [email-masked] (Vinod Koul)
Date: Wed, 16 Apr 2014 14:39:24 +0530

On Wed, Apr 16, 2014 at 10:38:10AM +0200, Daniel Mack wrote:
> >> It might add to the readability of the drivers, but for the current
> >> case, I don't think it's really necessary.
> > That is because you are maintaining the current descriptors in chain_running. If
> > we use above method then you dont need to use this, right?
> 
> Jup, but that would result in a rewrite of larger parts of the code. The
> concept of hot-linking the two list so there's only one resulting list
> of currently active descriptors is built-in deeply into the driver's
> concept.
Ah I suspected so :)

I think for now this is fine you can perhaps upgrade this later :)

-- 
~Vinod